A Dataiku application creates interactive instances of this solution for individual users. In this project, any Dataiku user can access the application and create a new one that reruns the entire flow based on the user's filter selection and analysis settings. Through the application, a number of datasets can be exported and the final analysis is a dashboard based on user selections. 
The application consists of three parts, which are connected to the [Project Flow](article:7).

1) By following instructions about [ASCII files](article:3), [Input Files](article:14) are uploaded in this part: 
![Screenshot 2022-09-05 at 18.59.01.png](AzjRWN21Y8ag)

Once the user uploads the input files, there is an option for reconfiguring the connections (Snowflake and PostgreSQL are established by default). Moreover, for the confidentiality of the manufacturer and drug, the users may decide to anonymize these features by clicking on the square box.
The last scenario in this part [ builds the flow](scenario:FLOWREBUILD) up to the flow zone[ Report Deduplication](flow_zone:AhX9Wwy). 

2) Second part is linked with filtering and generating different populations in the zone of [Data Analytics / Statistics](flow_zone:QAy2Jyu). Article [Project Variables](article:22) lists all the available options for user-defined filters. Once you press Run, the [Filter subpopulations](scenario:GENERATESUBPOPULATIONFILTERS) automatically generates the population datasets. 
![app p2.png](o0FyEZl7X8hQ)

3) The final part of the Dataiku application analyzes potential signals between drugs and adverse reactions by calculating the  [measures of disproportionality (ROR, PRR, MGPS)](article:20). Users have the option to specify the frequency of events and/or individual drugs/manufacturers to be considered for signal generation.

The Run button triggers [Generate statistical metrics](scenario:GENERATESTATISTICALMETRICS) and the final output presents the  [Pharmacovigilance analytics](dashboard:xHyTxW7) as described in [Visualizations](flow_zone:xnMmnql).

![Screenshot 2022-09-05 at 19.10.40.png](hUPq1Npuc5Xp)













